Subject: Re: bug#15558: [gnu.org #859332] Error in elisp on line documentation

From: Bill Freeman <[email-masked]>
Date: Tue, 8 Oct 2013 13:32:47 -0400

Yes, thanks, I see that now.  (And I thought I was reading carefully.)

But might I suggest that the line:

    If every condition evaluates to nil, so that every clause fails,
condreturns
nil.
be placed after the line:

    Then, if condition is non-nil when tested, the value of
conditionbecomes the value of the
cond form.

Bill

On Tue, Oct 8, 2013 at 12:17 PM, Glenn Morris <[email-masked]> wrote:

>
> "Robert Musial via RT" wrote:
>
> >> Yet it is perfectly legal for a clause to have no body-forms, only a
> >> condition.
> [...]
> >> The current text actually leaves the value undefined for this case.  It
> is
> >> a useful case, and should be correctly documented.
>
> It is documented (if a little clunkily):
>
>     A clause may also look like this:
>
>     (condition)
>
>     Then, if condition is non-nil when tested, the value of condition
>     becomes the value of the cond form.
>
>
> PS: Please report Emacs documentation issues via M-x report-emacs-bug
> (or mail to [email-masked]) rather than emailing GNU webmasters.
>